Doomsday Engine - Bug #1691

Ul and full screen/window toggle
2013-12-29 19:41 - vermil

Status: Closed Start date: 2013-12-29
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.13.1

Description

| wasn't sure whether to class this as a bug or RFE.
One can't toggle between full screen and window, while the taskbar (or Ul) is open.

| suppose | might as well throw in an RFE to be able to toggle between window and full screen while the engine is in busy mode,
though it's a very tiny thing.

Associated revisions

Revision 82575165 - 2014-01-01 22:31 - skyjake
Fixed|UIl|Client: Check global bindings when a popup is open

Allows for instance pressing F11 to toggle fullscreen when any popup
is open.
Revision 7f14a838 - 2014-01-01 22:31 - skyjake
Fixed|UIl|Client: Check global bindings when a popup is open

Allows for instance pressing F11 to toggle fullscreen when any popup
is open.
History

#1 - 2013-12-29 19:43 - vermil

I meant while one has the taskbar Ul open; when one has just the task bar open, one can toggle between window and full screen.

My apologies for the mis-information.

#2 - 2014-01-01 22:30 - skyjake

- Tags set to Ul, Bindings, Input

- Category set to Defect

- Status changed from New to Resolved
- Assignee set to skyjake

- Target version setto 1.13.1

- % Done changed from 0 to 100

I've made it so that any open popups will now check global key bindings before preventing the event from progressing further. This means one can
press F11 to toggle fullscreen even if a popup is open in the Ul.

When it comes to the busy mode, we're currently choosing not to allow any user interaction during busy tasks.

#3 - 2014-01-03 20:02 - skyjake

- Status changed from Resolved to Closed
